Skip to main content
GET
/
batch-lookups
/
{job_id}
Get Batch Job Status
curl --request GET \
  --url https://api.incentives.leap.energy/alpha/batch-lookups/{job_id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.incentives.leap.energy/alpha/batch-lookups/{job_id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.incentives.leap.energy/alpha/batch-lookups/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "total_items": 123,
  "processed_items": 123,
  "failed_items": 123,
  "report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "item_counts": {
    "pending": 123,
    "processing": 123,
    "completed": 123,
    "failed": 123
  }
}
{
"error": "<string>",
"invalid_items": [
{
"index": 123,
"error": "<string>"
}
],
"duplicates": [
"<string>"
]
}

Overview

Retrieve job status, processed/failed counts, and optional full item details. Use include_items=true to include item details in the response. Poll this endpoint to track completion.

Authorizations

x-api-key
string
header
required

API key for authentication. Include your Leap API key in the x-api-key header: x-api-key: leap_live_...

Path Parameters

job_id
string<uuid>
required

Query Parameters

include_items
boolean
default:false

Response

Job details

id
string<uuid>
organization_id
string<uuid>
status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
total_items
integer
processed_items
integer
failed_items
integer
report_id
string<uuid> | null
created_at
string<date-time>
started_at
string<date-time> | null
completed_at
string<date-time> | null
item_counts
object